Create an offset lifecycle event notification configuration
curl --request POST \
--url https://api.metronome.com/v2/notifications/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
'import requests
url = "https://api.metronome.com/v2/notifications/create"
payload = {
"name": "+1 day after contract starts",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"uniqueness_key": "contract-start-notification-823j7fqzo1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '+1 day after contract starts',
policy: {type: 'contract.start', offset: 'P1D'},
uniqueness_key: 'contract-start-notification-823j7fqzo1'
})
};
fetch('https://api.metronome.com/v2/notifications/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
}{
"code": "BadRequest",
"message": "<string>"
}Notifications
Create an offset lifecycle event notification configuration
Create an offset lifecycle event notification configuration. The lifecycle event type is inferred from the policy.type field.
POST
/
v2
/
notifications
/
create
Create an offset lifecycle event notification configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Notification configuration details
The name for this offset notification configuration.
The offset lifecycle event policy that defines when and how this notification should be triggered. The lifecycle event type is inferred from the policy.type field.
Show child attributes
Show child attributes
Optional uniqueness key to prevent duplicate notification configurations.
Required string length:
1 - 128Response
Success
Show child attributes
Show child attributes
Archive a threshold notification
Previous
Get an offset lifecycle event notification configuration
Next
⌘I